Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002990TestLinkReportspublic2009-12-05 01:122010-05-01 20:28
Reportercalipali 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 4 
Summary0002990: Test Results Fatal error: Call to a member function buildViewBugLink() in lib/functions/exec.inc.php on line 223
DescriptionI'm getting this fatal error when I click on Test Results:

Fatal error: Call to a member function buildViewBugLink() on a non-object in /proj/xtools/svauto2/flows/edk/tools/testlink_v1.8.4/lib/functions/exec.inc.php on line 223
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0003069closedfman Report "Failed Test Cases" not work 

-  Notes
(0008399)
fman (administrator)
2009-12-05 17:21

please give detailed steps to reproduce
(0008429)
calipali (reporter)
2009-12-08 05:24

Please checkout this video:
http://www.youtube.com/watch?v=qFWncKiB2tM [^]

Let me know if you need any more info.
(0008430)
fman (administrator)
2009-12-08 16:49

sorry but I do not work with videos when I request detailed steps to reproduce.
detail steps here in textual form
(0008448)
calipali (reporter)
2009-12-09 10:08

Thanks fman, we figured out the problem. This only happens when the bugtracking system is not set. After enabling bugtracking, it works for fine.

Here are the detailed steps in textual form:
1) Login to testlink
2) Select project
3) Select test plan
4) Click on Results
5) Click on Test Report
6) Click on the suite that you like to see the results for
(0008451)
fman (administrator)
2009-12-09 23:16

OK, thanks for explanation, we will fix it

- Issue History
Date Modified Username Field Change
2009-12-05 01:12 calipali New Issue
2009-12-05 17:21 fman Note Added: 0008399
2009-12-07 01:48 mhavlat Status new => feedback
2009-12-08 05:24 calipali Note Added: 0008429
2009-12-08 16:49 fman Note Added: 0008430
2009-12-09 10:08 calipali Note Added: 0008448
2009-12-09 23:16 fman Note Added: 0008451
2010-04-20 01:55 fman Status feedback => resolved
2010-04-20 01:55 fman Fixed in Version => 1.9 Beta 4 (Next public build)
2010-04-20 01:55 fman Resolution open => fixed
2010-04-20 01:55 fman Assigned To => fman
2010-04-20 01:56 fman Relationship added has duplicate 0003069
2010-05-01 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker